if not CLIENT
	return
end
-- Entity class with string ID can only be client-side.
ENT = {
	id = 'water',
	sheet = Caret,
	display = { 1,1,1,1 },
	collision = { 1,1,1,1 },
	anims = {
		{
			{{72,16},nil,0},
			{{74,16},nil,0},
			{{76,16},nil,0},
			{{78,16},nil,0},
			{{80,16},nil,0}
		}
	}
}

function ENT:init()
	self.hadx = self.mx ~= 0
end

function ENT:think()
	if self.underwater or self.grounded or (self.hadx and self.mx == 0)
		self:die()
		return
	end
	self:gravity(0x20)
end
